Module java.desktop
Package javax.swing.plaf.basic

## Class BasicInternalFrameUI.ComponentHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

- All Implemented Interfaces:
    `ComponentListener`, `EventListener`
  Enclosing class:
    BasicInternalFrameUI

      protected class BasicInternalFrameUI.ComponentHandler
      extends Object
      implements ComponentListener

  Component handler.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ComponentHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `componentHidden​(ComponentEvent e)` | Invoked when the component has been made invisible.
    `void` | `componentMoved​(ComponentEvent e)` | Invoked when the component's position changes.
    `void` | `componentResized​(ComponentEvent e)` | Invoked when a JInternalFrame's parent's size changes.
    `void` | `componentShown​(ComponentEvent e)` | Invoked when the component has been made visible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentHandler

          protected ComponentHandler​()

  - ### Method Detail

    - #### componentResized

          public void componentResized​(ComponentEvent e)

      Invoked when a JInternalFrame's parent's size changes.
      Specified by:
        `componentResized` in interface `ComponentListener`
      Parameters:
        `e` - the event to be processed

    - #### componentMoved

          public void componentMoved​(ComponentEvent e)

      Invoked when the component's position changes.
      Specified by:
        `componentMoved` in interface `ComponentListener`
      Parameters:
        `e` - the event to be processed

    - #### componentShown

          public void componentShown​(ComponentEvent e)

      Invoked when the component has been made visible.
      Specified by:
        `componentShown` in interface `ComponentListener`
      Parameters:
        `e` - the event to be processed

    - #### componentHidden

          public void componentHidden​(ComponentEvent e)

      Invoked when the component has been made invisible.
      Specified by:
        `componentHidden` in interface `ComponentListener`
      Parameters:
        `e` - the event to be processed